Package org.silverpeas.components.mydb.model.predicates

## Class Equality

- java.lang.Object
- - org.silverpeas.components.mydb.model.predicates.AbstractColumnValuePredicate
  - - org.silverpeas.components.mydb.model.predicates.Equality

- All Implemented Interfaces:
    `ColumnValuePredicate`

      public class Equality
      extends AbstractColumnValuePredicate

  The equality predicate.
  Author:
    mmoquillon

- - ### Field Summary

    - ### Fields inherited from class org.silverpeas.components.mydb.model.predicates.AbstractColumnValuePredicate

      `EMPTY_VALUE, NULL_VALUE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Equality​(DbColumn column, String refValue)` | Constructs a new predicate on the specified database table's column and with the given reference value.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.silverpeas.core.persistence.jdbc.sql.JdbcSqlQuery` | `apply​(org.silverpeas.core.persistence.jdbc.sql.JdbcSqlQuery query)` |

    - ### Methods inherited from class org.silverpeas.components.mydb.model.predicates.AbstractColumnValuePredicate

      `getColumn`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Equality

          public Equality​(DbColumn column,
                          String refValue)

      Constructs a new predicate on the specified database table's column and with the given reference value.
      Parameters:
        `column` - the name of a column.
        `refValue` - a reference value.

  - ### Method Detail

    - #### apply

          public org.silverpeas.core.persistence.jdbc.sql.JdbcSqlQuery apply​(org.silverpeas.core.persistence.jdbc.sql.JdbcSqlQuery query)

      Specified by:
        `apply` in class `AbstractColumnValuePredicate`